> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gcore.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get broadcast

> Returns broadcast details



## OpenAPI

````yaml /api-reference/services_docs_mintlify/streaming_api.yaml get /streaming/broadcasts/{broadcast_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Streaming API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: a41613cd4a9e
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: AI
  - name: Broadcasts
  - name: Directories
  - name: Overlays
  - name: Players
  - name: Playlists
  - name: QualitySets
  - name: Restreams
  - name: Statistics
  - name: Streams
  - name: Subtitles
  - name: Videos
paths:
  /streaming/broadcasts/{broadcast_id}:
    get:
      tags:
        - Broadcasts
      summary: Get broadcast
      description: Returns broadcast details
      operationId: get_broadcasts_id
      parameters:
        - name: broadcast_id
          in: path
          description: >-
            Broadcast ID.   

            IDs of all created broadcasts can be received via Get All Broadcasts
            request
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/broadcast'
components:
  schemas:
    broadcast:
      allOf:
        - $ref: '#/components/schemas/createBroadcast'
    createBroadcast:
      required:
        - name
      type: object
      properties:
        name:
          type: string
          description: Broadcast name
        status:
          type: string
          description: |-
            Broadcast statuses:  
             **Pending** — default “Broadcast isn’t started yet” or custom message (see `pending_message` parameter) is shown, users don't see the live stream  
             **Live** — broadcast is live, and viewers can see it  
             **Paused** — “Broadcast is paused” message is shown, users don't see the live stream  
             **Finished** — “Broadcast is finished” message is shown, users don't see the live stream  
             The users' browsers start displaying the message/stream immediately after you change the broadcast status
        share_url:
          type: string
          description: >-
            Custom URL or iframe displayed in the link field when a user clicks
            on a sharing button in player. If empty, the link field and social
            network sharing is disabled
        custom_iframe_url:
          type: string
          description: >-
            Custom URL of iframe for video player to be shared via sharing
            button in player. Auto generated iframe URL is provided by default
        show_dvr_after_finish:
          type: boolean
          description: >-
            Regulates if a DVR record is shown once a broadcast is finished. Has
            two possible values:


            - **true** — record is shown

            - **false** — record isn't shown

              
            Default is false
        pending_message:
          type: string
          description: >-
            A custom message that is shown if broadcast status is set to
            pending. If empty, a default message is shown
        ad_id:
          type: integer
          description: >-
            ID of ad to be displayed in a live stream. If empty the default ad
            is show. If there is no default ad, no ad is shown
        player_id:
          type: integer
          description: >-
            ID of player to be used with a broadcast. If empty the default
            player is used
        stream_ids:
          type: array
          description: IDs of streams used in a broadcast
          items:
            type: integer
        poster:
          type: string
          description: Uploaded poster file
      example:
        name: Broadcast
        status: live
        share_url: ''
        custom_iframe_url: ''
        show_dvr_after_finish: true
        ad_id: 1
        player_id: 14
        stream_ids:
          - 10
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````